

#include <QCoreApplication>
#include <QDebug>
#include <QFile>
#include <QDebug>

#include "mesh2pov.h"

int main(int argc, char *argv[])
{
	QCoreApplication app(argc, argv);
	//qDebug("Hello from Qt 4!");
	
	
	Mesh2POV m2p;
	
	QFile pre ("../pov/itokawa.pre.pov");
	//QFile in ("../data/itokawa_f0049152.txt");
	QFile in ("../data/itokawa_f0196608.txt");
	if (in.open(QIODevice::ReadOnly | QIODevice::Text))
	{

		QFile out ("../generated/itokawa.pov");
		if (out.open(QIODevice::WriteOnly | QIODevice::Text))
		{
		    if (pre.open(QIODevice::ReadOnly | QIODevice::Text))
		    {

			out.write(pre.readAll());
		    }
		    m2p.convert(in, out);
		}
                else
                    qDebug() << "outfile not opened";
		
	}
        else
            qDebug() << "infile not opened";
	
	return 0;
}

