#include "povmesh.h"
#include <QTextStream>

QTextStream &operator<<(QTextStream & ts, POVMesh2& m)
{
    ts << "mesh2 { \n";
    ts << "\tvertex_vectors {\n";
    ts << "\t" << m.Vertices.size() << ", \n";

    for (POVMesh2::PointListT::const_iterator it = m.Vertices.begin(); it != m.Vertices.end(); ++it)
    {
        ts << "\t";
        it->toQTextStream(ts);
        ts << "\n";

    }

    ts << "\t}\n";
    ts << "\tface_indices {\n";
    ts << "\t" << m.Faces.size() << ", \n";

    for (POVMesh2::FacesListT::const_iterator it = m.Faces.begin(); it != m.Faces.end(); ++it)
    {
        ts << "\t";
        it->toQTextStream(ts);
        ts << "\n";

    }

    ts << "\t}\n";
    ts << "\tpigment {rgb 1}\n";
    //ts << "\t}\n";
    ts <<  "}\n";

    return ts;
}

//POVMesh2::output
